image: python:latest

before_script:
  - python -V  # Print out python version for debugging
  - pip install platformio
  - apt update && apt install build-essential

build:
  script:
    - cd firmware
    - platformio run
    - platformio test -v -e native
